<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE components PUBLIC "-//AJAX4JSF//CDK Generator config/EN"  "https://ajax4jsf.dev.java.net/nonav/dtds/component-config.dtd" >
<components>
    <component>
        <name>org.richfaces.ComboBox</name>
        <family>org.richfaces.ComboBox</family>
        <classname>
            org.richfaces.component.html.HtmlComboBox
        </classname>
        <superclass>org.richfaces.component.UIComboBox</superclass>
		<test>
			<classname>org.richfaces.component.html.HtmlComboBoxComponentTest</classname>
			<superclassname>org.ajax4jsf.tests.AbstractAjax4JsfTestCase</superclassname>
		</test>
        <description>
            <![CDATA[  ]]>
        </description>
		<renderer  generate="true" override="true">
			<name>org.richfaces.renderkit.ComboBoxRenderer</name>
			<template>combobox.jspx</template>
		</renderer>
       	
       	<tag>
       		<name>comboBox</name>
            <classname>org.richfaces.taglib.ComboBoxTag</classname>
            <superclass>
				org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
            </superclass>
       		<test/>
       	</tag>
       	<properties>
       		<property>
       			<name>suggestionValues</name>
       			<classname>java.lang.Object</classname>
       		</property>
       		<property>
		  		<name>enableManualInput</name>
		  		<classname>boolean</classname>
		  		<description>enabled for keybord input</description>
		  		<defaultvalue>true</defaultvalue>
		  	</property>
       		<property>
	            <name>filterNewValues</name>
	            <classname>java.lang.Boolean</classname>
	            <description></description>
	            <defaultvalue>true</defaultvalue>
	        </property>
	        <property>
	            <name>directInputSuggestions</name>
	            <classname>java.lang.Boolean</classname>
	            <description>not implemented</description>
	            <defaultvalue>false</defaultvalue>
	        </property>
	        <property>
	            <name>selectFirstOnUpdate</name>
	            <classname>java.lang.Boolean</classname>
	            <description></description>
	            <defaultvalue>true</defaultvalue>
	        </property>
	        <property>
	            <name>showDelay</name>
	            <classname>java.lang.Integer</classname>
	            <description></description>
	            <defaultvalue><![CDATA[0]]></defaultvalue>
	        </property>
	        <property>
	            <name>hideDelay</name>
	            <classname>java.lang.Integer</classname>
	            <description></description>
	            <defaultvalue><![CDATA[0]]></defaultvalue>
	        </property>
	        <property>
	            <name>width</name>
	            <classname>java.lang.String</classname>
	            <description></description>
	            <defaultvalue><![CDATA["150"]]></defaultvalue>
	        </property>
	        <property>
	            <name>width</name>
	            <classname>java.lang.String</classname>
	            <description></description>
	            <defaultvalue><![CDATA["150"]]></defaultvalue>
	        </property>
	        <property>
	            <name>listWidth</name>
	            <classname>java.lang.String</classname>
	            <description></description>
	        </property>
	        <property>
	            <name>listHeight</name>
	            <classname>java.lang.String</classname>
	            <description></description>
	            <defaultvalue>"200px"</defaultvalue>
	        </property>
	        <property>
		    	<name>onchange</name>
		    	<classname>java.lang.String</classname>
		        <description></description>
		    	<defaultvalue><![CDATA[""]]></defaultvalue>
		    </property>
	        <property>
		    	<name>onlistcall</name>
		    	<classname>java.lang.String</classname>
		        <description></description>
		    	<defaultvalue><![CDATA[""]]></defaultvalue>
		    </property>
		    <property>
		    	<name>onselect</name>
		    	<classname>java.lang.String</classname>
		        <description></description>
		    	<defaultvalue><![CDATA[""]]></defaultvalue>
		    </property>
		    <property>
		    	<name>disabled</name>
		    	<classname>boolean</classname>
		        <description>make component disabled</description>
		    	<defaultvalue>false</defaultvalue>
		    </property>
		    <property>
		    	<name>buttonIcon</name>
		    	<classname>java.lang.String</classname>
		        <description>URI</description>
		    	<defaultvalue><![CDATA[""]]></defaultvalue>
		    </property>
		    <property>
		    	<name>buttonIconDisabled</name>
		    	<classname>java.lang.String</classname>
		        <description>URI</description>
		    	<defaultvalue><![CDATA[""]]></defaultvalue>
		    </property>
		    <property>
		    	<name>buttonIconInactive</name>
		    	<classname>java.lang.String</classname>
		        <description>URI</description>
		    	<defaultvalue><![CDATA[""]]></defaultvalue>
		    </property>
		    <property>
		    	<name>defaultLabel</name>
		    	<classname>java.lang.String</classname>
		        <description></description>
		    	<defaultvalue><![CDATA[""]]></defaultvalue>
		    </property>
		    <property>
		    	<name>listStyle</name>
		    	<classname>java.lang.String</classname>
		        <description></description>
		    	<defaultvalue><![CDATA[""]]></defaultvalue>
		    </property>
		    <property>
		    	<name>listClass</name>
		    	<classname>java.lang.String</classname>
		        <description></description>
		    </property>
		    <property>
		    	<name>inputStyle</name>
		    	<classname>java.lang.String</classname>
		        <description></description>
		    	<defaultvalue><![CDATA[""]]></defaultvalue>
		    </property>
		    <property>
		    	<name>inputClass</name>
		    	<classname>java.lang.String</classname>
		        <description></description>
		    </property>
		    <property>
		    	<name>inputDisabledStyle</name>
		    	<classname>java.lang.String</classname>
		        <description></description>
		    	<defaultvalue><![CDATA[""]]></defaultvalue>
		    </property>
		    <property>
		    	<name>inputDisabledClass</name>
		    	<classname>java.lang.String</classname>
		        <description></description>
		    </property>
		    <property>
		    	<name>inputInactiveStyle</name>
		    	<classname>java.lang.String</classname>
		        <description></description>
		    	<defaultvalue><![CDATA[""]]></defaultvalue>
		    </property>
		    <property>
		    	<name>inputInactiveClass</name>
		    	<classname>java.lang.String</classname>
		        <description></description>
		    </property>
		    <property>
		    	<name>itemClass</name>
		    	<classname>java.lang.String</classname>
		        <description></description>
		    </property>
		    <property>
		    	<name>itemSelectedClass</name>
		    	<classname>java.lang.String</classname>
		        <description></description>
		    </property>
		    <property>
		    	<name>buttonStyle</name>
		    	<classname>java.lang.String</classname>
		        <description></description>
		    	<defaultvalue><![CDATA[""]]></defaultvalue>
		    </property>
		    <property>
		    	<name>buttonClass</name>
		    	<classname>java.lang.String</classname>
		        <description></description>
		    </property>
		    <property>
		    	<name>buttonDisabledStyle</name>
		    	<classname>java.lang.String</classname>
		        <description></description>
		    </property>
		    <property>
		    	<name>buttonDisabledClass</name>
		    	<classname>java.lang.String</classname>
		        <description></description>
		    	<defaultvalue><![CDATA[""]]></defaultvalue>
		    </property>
		    <property>
		    	<name>buttonInactiveStyle</name>
		    	<classname>java.lang.String</classname>
		        <description></description>
		    </property>
		    <property>
		    	<name>buttonInactiveClass</name>
		    	<classname>java.lang.String</classname>
		        <description></description>
		    	<defaultvalue><![CDATA[""]]></defaultvalue>
		    </property>
		    <property>
		    	<name>style</name>
		    	<classname>java.lang.String</classname>
		        <description></description>
		    	<defaultvalue><![CDATA[""]]></defaultvalue>
		    </property>
		    <property hidden="true">
		    	<name>size</name>
		    	<classname>int</classname>
		    </property>
		     <property>
		    	<name>styleClass</name>
		    	<classname>java.lang.String</classname>
		        <description></description>
		    	<defaultvalue><![CDATA[""]]></defaultvalue>
		    </property>
		    
		  	&html_input_attributes;
		  	&html_input_events;	    
		    &html_events;
		    &ui_input_attributes;
		</properties>    
    </component>
</components>
